cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
CyberCitizen
Honored Sweeper
https://www.lansweeper.com/kb/24/how-to-scan-with-LsPush.html

I am using the most recent version of LSPush that came with the recent installation of Lansweeper.

When I run LSPush I am getting the below message.
Connection to server failed Socket Error # 10054
Connection reset by peer.

The server is still the same IP address and host name, I can confirm the machine is online and available, however I still get the below issue.

Any suggestions?

Error Message
1 ACCEPTED SOLUTION
Esben_D
Lansweeper Employee
Lansweeper Employee
In Lansweeper version 6.0.100, modifications were made to the Lansweeper service and the LsPush executable to receive and transmit traffic over https where possible. This does mean that older LsPush versions need to be replaced with the latest version found in the Program Files (x86)\Lansweeper\Client folder on your Lansweeper server.

Do make sure that you are on the latest version of Lansweeper which is version 6.0.100.98, as there were some bug fixes done for LsPush. In the latest version of LsPush the version number is displayed in the error messages, as such the error message in your screenshot is generated by an older version of LsPush.

View solution in original post

4 REPLIES 4
Bruce_B
Lansweeper Alumni
The LsPush.exe version number will in most cases not directly match the Lansweeper service version, LsPush is not updated every time the Lansweeper service is updated. However, every Lansweeper service is related to an LsPush version.

In most cases this doesn't mean that LsPush won't work at all, it will mean that if changes were made to scanning that you'll need to use the latest LsPush version to have the same scanning experience as when using agentless scanning, when using an older version successfully, a message about this will appear on the asset page.

Lansweeper version 6.0.100 was an exception to this, as LsPush versions older than version 6.0.100 will not work at all in Lansweeper version 6.0.100 or newer. This is due to the major changes that occurred to LsPush where it will send SSL encrypted data towards the service whenever possible.
hauke
Engaged Sweeper
Hi,

just did a fresh installation of 6.0.100.98, but the LsPush Client delivered is still of version 6.0.100.27.

kind regards
hauke
CyberCitizen
Honored Sweeper
I could have sworn I copied that exe as the screenshot shows the version number of lspush etc.

But I tried it again and it appears to be working without issue now. I actually think our Lansweeper service was having issues, after restarting the service it appeared to come good, I think I might need to bounce the server shortly anyway.
Esben_D
Lansweeper Employee
Lansweeper Employee
In Lansweeper version 6.0.100, modifications were made to the Lansweeper service and the LsPush executable to receive and transmit traffic over https where possible. This does mean that older LsPush versions need to be replaced with the latest version found in the Program Files (x86)\Lansweeper\Client folder on your Lansweeper server.

Do make sure that you are on the latest version of Lansweeper which is version 6.0.100.98, as there were some bug fixes done for LsPush. In the latest version of LsPush the version number is displayed in the error messages, as such the error message in your screenshot is generated by an older version of LsPush.

New to Lansweeper?

Try Lansweeper For Free

Experience Lansweeper with your own data.
Sign up now for a 14-day free trial.

Try Now